{value}: Encode or decode values

API: networkcalc.com:networkcalc-api
Endpoint: /encoder/{value}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 395ms

Description

Encode or decode values using URL, Base64, or Base64URL encoding schemes.

Parameters (3)

decode (boolean, query, optional)

Set to true to decode instead of encode

encoding (string, query, optional, default: base64)

The encoding scheme to use

Constraints: {'enum': ['url', 'base64', 'base64url']}

value (string, path, required)

The value to encode or decode

Examples (2)

Encode or decode values openapi-spec
curl 'https://networkcalc.com/api/encoder/hello'
import requests

resp = requests.get("https://networkcalc.com/api/encoder/hello")
data = resp.json()
import zingu_apis

api = zingu_apis.api("networkcalc")
result = api.fetch("encoder/{value}")

for item in result:
    print(item)
const resp = await fetch("https://networkcalc.com/api/encoder/hello");
const data = await resp.json();
Encode or decode values probe-gate
curl 'https://networkcalc.com/api/encoder/hello?encoding=base64'
import requests

resp = requests.get(
    "https://networkcalc.com/api/encoder/hello",
    params={
        'encoding': 'base64',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("networkcalc")
result = api.fetch("encoder/{value}", encoding="base64")

for item in result:
    print(item)
const resp = await fetch("https://networkcalc.com/api/encoder/hello?encoding=base64");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:46:21.822310 200 395ms
2026-04-16 03:45:18.431611 200 441ms
2026-04-15 01:19:29.567878 200 433ms
2026-04-15 00:25:34.820406 200 442ms
2026-04-14 02:49:47.197763 200 674ms
2026-04-14 01:06:10.683380 200 443ms
2026-04-12 16:26:21.879417 200 429ms
2026-04-12 15:47:53.048541 200 430ms
2026-04-10 02:32:04.880927 ERR
2026-04-10 00:23:13.520520 ERR
2026-04-09 01:38:32.440157 ERR
2026-04-09 00:33:23.476599 ERR
2026-04-03T11:21:16.053293 200 354ms